<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\HandleKursDataTable;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\KursHelper;

class HandleKursDataTableUseCase extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleKursDataTable\HandleKursDataTableUseCase
{
  public static function getToolSectionId()
  {
    return 635;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_VA;
  }

  protected function getKursHelper(): KursHelper
  {
    return new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\VeranstalterAnmeldungKurse($this->toolSettings, $this->getUser(), $this->getExtraColumns());
  }
}